import Model, { attr } from '@ember-data/model';

export default class WiFiRadioModel extends Model {
  @attr AP_Mode;
  @attr ActiveAntennaCtrl;
  @attr ActiveAssociatedDevices;
  @attr AirtimeFairnessEnabled;
  @attr Alias;
  @attr AutoBandwidthSelectMode;
  @attr AutoChannelEnable;
  @attr AutoChannelRefreshPeriod;
  @attr AutoChannelSupported;
  @attr BaseMACAddress;
  @attr BeaconPeriod;
  @attr Channel;
  @attr ChannelBandwidthChangeReason;
  @attr ChannelChangeReason;
  @attr ChannelLoad;
  @attr ChannelsInUse;
  @attr CurrentOperatingChannelBandwidth;
  @attr DFSChannelChangeEventCounter;
  @attr DFSChannelChangeEventTimestamp;
  @attr DTIMPeriod;
  @attr DelayApUpPeriod;
  @attr Enable;
  @attr ExplicitBeamFormingEnabled;
  @attr ExplicitBeamFormingSupported;
  @attr ExtensionChannel;
  @attr GuardInterval;
  @attr HeCapsEnabled;
  @attr HeCapsSupported;
  @attr IEEE80211_Caps;
  @attr IEEE80211hEnabled;
  @attr IEEE80211hSupported;
  @attr IEEE80211kSupported;
  @attr IEEE80211rSupported;
  @attr ImplicitBeamFormingEnabled;
  @attr ImplicitBeamFormingSupported;
  @attr Index;
  @attr IntelligentAirtimeSchedulingEnable;
  @attr Interference;
  @attr KickRoamingStation;
  @attr LongRetryLimit;
  @attr MCS;
  @attr MaxAssociatedDevices;
  @attr MaxBitRate;
  @attr MaxChannelBandwidth;
  @attr MultiAPTypesSupported;
  @attr MultiUserMIMOEnabled;
  @attr MultiUserMIMOSupported;
  @attr Name;
  @attr Noise;
  @attr ObssCoexistenceEnable;
  @attr OfdmaEnable;
  @attr OperatingChannelBandwidth;
  @attr OperatingClass;
  @attr OperatingFrequencyBand;
  @attr OperatingStandards;
  @attr OperatingStandardsFormat;
  @attr PossibleChannels;
  @attr ProbeRequestAggregationTimer;
  @attr ProbeRequestNotify;
  @attr RIFSEnabled;
  @attr RegulatoryDomain;
  @attr RetryLimit;
  @attr RxBeamformingCapsAvailable;
  @attr RxBeamformingCapsEnabled;
  @attr RxChainCtrl;
  @attr RxPowerSaveEnabled;
  @attr RxPowerSaveRepeaterEnable;
  @attr STASupported_Mode;
  @attr STA_Mode;
  @attr Status;
  @attr SupportedStandards;
  @attr TargetWakeTimeEnable;
  @attr TransmitPower;
  @attr TransmitPowerSupported;
  @attr TxBeamformingCapsAvailable;
  @attr TxBeamformingCapsEnabled;
  @attr TxChainCtrl;
  @attr Upstream;
  @attr VendorPCISig;
  @attr WDS_Mode;
  @attr WET_Mode;
  @attr WPS_Enrollee_Mode;
  @attr dbgRADEnable;
  @attr dbgRADFile;
}
